%define ffver firefox-2.0.0.12

Summary:	A powerful GTK+ 2.x media player
Name:		exaile
Version:	0.2.12b
Release:	%mkrel 1.bii.
Source0:	http://www.exaile.org/files/%{name}_%{version}.tar.bz2
URL:		http://www.exaile.org/
Group:		Sound
License:	GPLv2+
BuildRequires:	pygtk2.0-devel
BuildRequires:	python-devel
BuildRequires:	intltool
BuildRequires:	perl(XML::Parser)
Requires:	pygtk2.0
Requires:	python-sqlite2
Requires:	pygtk2.0-libglade
Requires:	gstreamer0.10-python
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-plugins-base 
Requires:	gstreamer0.10-plugins-ugly
Requires:	dbus-python
Requires:	mutagen python-elementtree
Requires:	gnome-python-gtkmozembed
%if %mdvver > 200700
Requires:	python-notify
Requires:	python-gpod
Requires:	python-CDDB
Requires:	python-sexy
Requires:	python-gamin
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Exaile is a media player aiming to be similar to KDE's AmaroK,
but for GTK+ 2.x. It incorporates many of the cool things from AmaroK
(and other media players).

Some of the features are:
- automatic fetching of album art
- handling of large libraries 
- lyrics fetching
- artist/album information via the wikipedia
- last.fm support
- optional iPod support (assuming you have python-gpod installed).
- builtin shoutcast directory browser
- tabbed playlists
- blacklisting of tracks
- downloading of guitar tabs from fretplay.com
- submitting played tracks on the iPod to last.fm

%prep
%setup -q -n %{name}_%{version}

#Fix typo in the desktop file
sed -i 's/MimeType=M/M/' exaile.desktop 
# remove shebangs from all files as none should be executable scripts
sed -e '/^#!\//,1 d' -i plugins/*.py exaile.py

# (tpg) do not hardcode icon extension
perl -pi -e 's/%{name}.png/%{name}/g' %{name}.desktop

%build
export CFLAGS="%{optflags}"

# Mandrivaify the default settings
perl -pi -e "s#/media/ipod#/media/disk#g" ./xl/prefs.py ./xl/panels.py
# Patch the makefile for later pythons
PYTHON_VER=%{py_ver}	# Don't ask me why this hack is needed, but it is.
perl -pi -e "s#python2.4#python$PYTHON_VER#g" ./mmkeys/Makefile

# (tpg) https://bugs.launchpad.net/exaile/+bug/145250
perl -pi -e "s/Exec=exaile/Exec=exaile --no-equalizer/g" %{name}.desktop

%make

%install
rm -rf %{buildroot}
%makeinstall_std PREFIX=%{_prefix} LIBDIR=/%{_lib} FIREFOX=%{_libdir}/%{ffver} DESTDIR=%{buildroot}

#%py_compile $RPM_BUILD_ROOT/usr/share/exaile

chmod 755 %{buildroot}%{_libdir}/exaile/mmkeys.so
chmod 755 %{buildroot}%{_libdir}/exaile/xl/burn.py
chmod 755 %{buildroot}%{_libdir}/exaile/xl/plugins/gui.py
chmod 755 %{buildroot}%{_libdir}/exaile/xl/cd_import.py

# Find the localization
%find_lang %{name}

%post
%{update_menus}
%{update_desktop_database}

%postun
%{update_menus}
%{clean_desktop_database}

%clean 
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_libdir}/%{name}/*
%{_mandir}/man1/*


%changelog
* Wed Feb 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12b-1mdv2008.1
+ Revision: 173382
- no docs
- drop patch 1, fixed upstream
- drop patch 0, fixed upstream
- new version

* Wed Jan 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.11.1-3mdv2008.1
+ Revision: 156931
- speed up(about two times) music library loading with patch 0
- hopefully fix bug #36608 by adding patch 1
- gstreamer sound volume is broken, especially with apps which are using its equalizer, thus makes exaile sound volume lower. running exaile with --no-equalizer solves this.Anyways added it to the *.desktop file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.11.1-2mdv2008.1
+ Revision: 117657
- rebuild for new firefox

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 0.2.11.1-1mdv2008.1
+ Revision: 109290
- fix tarball dir

* Mon Nov 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.11-3mdv2008.1
+ Revision: 106136
- rebuild against new mozilla-firefox-2.0.0.9

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.11-2mdv2008.1
+ Revision: 100488
- rebuild against ff 2.0.0.8
- new license policy

* Thu Oct 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.11-1mdv2008.1
+ Revision: 99846
- final release

* Thu Oct 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.11-0.b.1mdv2008.1
+ Revision: 97214
- update to latest beta release
- do not hardcode icon extension in desktop file
- mark executable some files
- set path to firefox
- fix file list
- spec file clean

* Sun Sep 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.10-3mdv2008.0
+ Revision: 92415
- readd requires on gnome-python-gtkmozembed
- correct url for source0

  + Emmanuel Andry <eandry@mandriva.org>
    - add P0 to fix bug #33970

* Sun Sep 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.10-1mdv2008.0
+ Revision: 83475
- drop old menu style
  add requires on python-CDDb,python-sexy,python-gamin
  remove requires on gnome-python-gtkmozembed
  compile with optflags
  use macros
  spec file clean

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix Requires
      New release 0.2.10

  + Thierry Vignaud <tvignaud@mandriva.com>
    - replace %%_datadir/man by %%_mandir!
    - fix man pages

  + Adam Williamson <awilliamson@mandriva.com>
    - requires pygtk2.0-libglade (thanks siimo)

* Fri Apr 27 2007 Eskild Hustvedt <eskild@mandriva.org> 0.2.9-2mdv2008.0
+ Revision: 18508
- Patch0: Expand ~ in the file browser
- /media/disk is now the default mount point for removable drives

* Tue Apr 17 2007 Eskild Hustvedt <eskild@mandriva.org> 0.2.9-1mdv2007.1
+ Revision: 13638
- New version 0.2.9


* Wed Feb 28 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.8-2mdv2007.0
+ Revision: 127326
- Depend on pygtk2, not python-gtk

* Thu Jan 25 2007 Eskild Hustvedt <eskild@mandriva.org> 0.2.8-1mdv2007.1
+ Revision: 113532
- Compiled all python modules
- Requires python-notify on %%mdvver > 200700
- New version 0.2.8

* Sun Dec 17 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.7b2-1mdv2007.1
+ Revision: 98322
- New version 0.2.7b2 (fixes a bug that caused the Open Media menu item to fail)

* Wed Dec 13 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.7b-1mdv2007.1
+ Revision: 96506
- New version 0.2.7b
- Now does conditional patching of the mmkeys makefile to work with the newer python version
- Added BuildRequires on python-devel
- New version 0.2.6
- New version 0.2.4
- Import exaile

  + plouf <plouf>
    - Fix requires

* Wed Sep 06 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.r-1mdv2007.0
- New version 0.2

* Sun Sep 03 2006 David Walluck <walluck@mandriva.org> 0.2.b5-2mdv2007.0
- Requires: dbus-python

* Sat Aug 19 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.b5-1mdv2007.0
- New release 0.2b5

* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 0.2.b4-2mdv2007.0
- fix deps

* Tue Jun 27 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.b4
- Initial Mandriva Linux package

